
#ifndef ASIO_STREAM_FILE_HPP
#define ASIO_STREAM_FILE_HPP

#include "asio/basic_stream_file.hpp"
#include "asio/demuxer.hpp"
# if defined(_WIN32)
#error not implemented in windows yet
#else
# include "asio/detail/aio_stream_file_service.hpp"
#endif


namespace asio {

/// Typedef for the typical usage of stream_file.
#if defined(GENERATING_DOCUMENTATION)
typedef basic_stream_file
  <
    implementation_defined
  > stream_file;
#elif _WIN32
# error not implemented for windows yet
#else
typedef basic_stream_file
  <
    detail::aio_stream_file_service
  > stream_file;
#endif

}

#endif
